Antom, leading provider of tailored payment solutions

applyCard

POST /v1/aba/cards/applyCard

Use this API to issue a new card by providing necessary details such as customer information, card type, spending limits, and associated metadata. Antom will process this information to generate and deliver a new card for you.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 

Note: Set the data type of each parameter (except array) as String. This means that you must use double quotation marks (" ") to enclose the parameter value. Examples:

  • If the data type of a parameter is Integer and its value is 20, set it as "20". 
  • If the data type of a parameter is Boolean and its value is true, set it as "true". 

Request parameters

requestId String  REQUIRED

The unique request ID specified by the merchant for this card application request.

More information:

  • Maximum length: 32 characters

cardNickName String  

The card nickname defined by the merchant, which can help to manage multiple cards more conveniently.

More information:

  • Maximum length: 120 characters

note String  

Provide additional information for the card application.

More information:

  • Maximum length: 512 characters

cardBinRule String  

For high-volume merchants, Antom allows customization of BIN settings. Merchants can choose a specific binId provided by Antom. Antom provides merchant the ability to choose the card bin rule.

More information:

  • Maximum length: 32 characters

purpose String  

Purpose of the card. Valid values are:

  • AIRLINE
  • LODGING

More information:

  • Maximum length: 32 characters

metadata Map<String, String>  

Customer metadata in key-value format. Each key can have a maximum length of 20 characters, and each value can have a maximum length of 150 characters. The total number of keys allowed is 20.

Note: This parameter is only for customized merchants.

More information:

  • Maximum length: 3096 characters

authorizationControl AuthorizationControl  

Authorization control rules.

Show child parameters

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

requestId String  

The unique request ID specified by the merchant for this card application request.

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 32 characters

status String  

The status of the card application. Valid values are:

  • SUCCESS: Indicates the application is successful.
  • PROCESSING: Indicates the application is being processed.
  • FAIL: Indicates the application has failed.

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 32 characters

assetId String  

The unique identifier of a card.

This parameter is returned only when result.resultStatus is S and status is ​SUCCESS​.

More information:

  • Maximum length: 32 characters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body


Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess

No further action is needed.

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, an invalid date, or unrecognised preferenceType values..

Send Integer 1 or omit allowedAuthTimes, then retry with the corrected request.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support Team to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact our Technical Support Team.

RISK_REJECTFRequest rejected due to risk concerns.

Please contact our Technical Support Team for help.

CONTRACT_NOT_EXISTFThe contract check has failed.

Ensure the Partner has already signed a contract and the input is correct.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

APPLY_CARD_NUMBER_LIMITFApply card number limit

Please contact our Technical Support Team for help.

ACCESS_TOKEN_EXPIREDFThe access token expired.

Refresh token to get a new access token or contact our Technical Support Team to address it.

AMOUNT_EXCEED_LIMITFThe amount exceeds the limit.

Confirm the amount is correct and try again.